### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-button/ecl-button.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit`

### Metadata

selector | `button[eclButton], button[ecl-button], a[eclButton]`
templateUrl | `./ecl-button.component.html`

### Index

###### Properties

- iconComponents

###### Methods

- getCssClasses

###### Inputs

- containerStyleClass
- variant
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses
- hasIcon

### Inputs

containerStyleClass
Type : `string`

variant
Type : `"primary" | "secondary" | "call" | "ghost"`
Default value : `'primary'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

iconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

hasIcon
get `hasIcon()`

# results matching ""

# No results matching ""